// Common description constant
const commonDescription =
  "UK Manufactured cartridges to the highest standards which are high speed balanced. These cartridges are the perfect replacements for old and worn cartridges, without having to spend money on brand new turbos or taking chances on used turbos. If the turbocharger is internally damaged, or if the turbocharger seals are leaking oil this will resolve the issue.\n\n Please diagnose for boost leaks, failed wastegates and source of turbo failure to ensure a successful repair.";

// Example data object for model details
const modelDetails = {
  audi1: {
    name: "A3 2006-2008 FWD 2.0 FSI",
    subtitle: "For vehicles with 2.0T FSI Engines only",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi2: {
    name: "A3 2008-2013 FWD/Quattro 2.0 TFSI",
    subtitle: "For vehicles with 2.0T CCTA Engines only",
    partnumberLeft: "OEM Part Number : 06J145713K",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi3: {
    name: "A3 2010-2013 2.0 TDI",
    subtitle: "FOR AUDI A3 WITH 2.0 TDI ENGINE",
    partnumberLeft: "OEM part number:03L253056X",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi4: {
    name: "A3 2015-2016 2.0 TDI",
    subtitle: "For Audi A3 with 2.0 TDI Engine",
    partnumberLeft: "OEM Part Number : 04L253010B",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi5: {
    name: "A3 2015-2023 FWD/Quattro 2.0TFSI",
    subtitle: "For Audi A3 with CZRA/CNTC engine and 2.0TFSI",
    partnumberLeft: "OEM Part Number : 06K145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi6: {
    name: "A3 2015-2016 Quattro 1.8T/1.8T Gen3",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06K145713L",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi7: {
    name: "A3 2015-2016 FWD 1.8TFSI",
    subtitle: "For Audi A3 with CNSB engine and 1.8Tfsi",
    partnumberLeft: "OEM Part Number : 06K145713L 8V 1.8T",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A3",
    rating: 5,
    isNew: false,
  },
  audi8: {
    name: "S4 2000-2002 2.7T ",
    subtitle: "",
    partnumberLeft:
      "OEM cross reference number: 078145701S <br> (LEFT SIDE) Borg Warner K03",
    partnumberRight:
      "OEM cross reference number:078145702S <br> (RIGHT SIDE) Borg Warner K03",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "$650.00 USD",
    cadRightPrice: "$850.00 CAD",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "$850.00 USD",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "$1000.00 CAD",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S4",
    rating: 5,
    isNew: false,
  },
  audi9: {
    name: "RS4 2000-2002 2.7T ",
    subtitle: "",
    partnumberLeft: "OEM part number:K04-025 <br> (LEFT) (53049880025)",
    partnumberRight: "OEM part number:K04-026 <br> (RIGHT) (53049880026)",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "$650.00 USD",
    cadRightPrice: "$850.00 CAD",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "$850.00 USD",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "$850.00 USD",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI RS4",
    rating: 5,
    isNew: false,
  },
  audi10: {
    name: "A4 1996-2005 FWD and Quattro",
    subtitle: "",
    partnumberLeft: "OEM part number:058145703J",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi11: {
    name: "A4 2006-2008 FWD/Quattro 2.0T",
    subtitle: "For Audi A4 FWD/Quattro 2.0t FSI Engines",
    partnumberLeft: "OEM Part Number : 06D145701J",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },

  audi12: {
    name: "A4 2009-2016 FWD/Quattro 2.0TFSI",
    subtitle: "For B8 A4 FWD AND Quattro Models, 2.0TFSI",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi13: {
    name: "A4 2017-2020 FWD/Quattro 2.0TFSI",
    subtitle: "For B9 A4 FWD AND Quattro Models, 2.0TFSI Engines",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi14: {
    name: "A4 2021-2024 FWD And Quattro",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A4",
    rating: 5,
    isNew: false,
  },
  audi15: {
    name: "A5 2009-2017 2.0T FWD/Quattro",
    subtitle: "For B8 A5 FWD AND Quattro Models, 2.0TFSI Engines",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
    isNew: false,
  },
  audi16: {
    name: "A5 (2018-2024) 2.0T Quattro ",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06L145874E",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI A5",
    rating: 5,
    isNew: false,
  },
  audi17: {
    name: "S5 3.0T (2016-2024)",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "N/A",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI S5",
    rating: 5,
    isNew: false,
  },
  audi18: {
    name: "Q3 2015-2018 FWD/Quattro",
    subtitle: "For Audi Q3 FWD and AWD 2.0T",
    partnumberLeft: "OEM Part Number : 06J145713K IHI BRAND",
    partnumberRight: "OEM Part Number : 06J145713K Borg Warner",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "$650.00 USD",
    cadRightPrice: "$850.00 CAD",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
    isNew: false,
  },
  audi19: {
    name: "Q3 2019-2022 Quattro ",
    subtitle: "PRODUCTS COMING SOON",
    partnumberLeft: "N/A",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q3",
    rating: 5,
    isNew: false,
  },
  audi20: {
    name: "Q5 2009-2012",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06H145702S",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi21: {
    name: "Q5 2013-2017",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06H145703S",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi22: {
    name: "Q5 2018-2019",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06F145907D",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi23: {
    name: "Q5 TDI 3.0",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 059145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI Q5",
    rating: 5,
    isNew: false,
  },
  audi24: {
    name: "TT 2000-2001 W/ATC Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T ATC engine code",
    partnumberLeft: "OEM Part Number : 06A145704B",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi25: {
    name: "TT 2000-2002 W/ AMU Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T AMU engine code",
    partnumberLeft: "OEM Part Number : 06A145704M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi26: {
    name: "TT 2001-2006 W/AWP Engine Code 180hp",
    subtitle: "For Audi TT with 1.8T AWP engine code",
    partnumberLeft: "OEM Part Number : 06A145713D",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi27: {
    name: "TT 2003-2006 W/ BEA Engine Code 225hp",
    subtitle: "For Audi TT with 1.8T BEA engine code",
    partnumberLeft: "OEM Part Number : 06A145704QX",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi28: {
    name: "TT 2006-2008 W/BPY Engine Code 180hp",
    subtitle: "For Audi TT with 2.0T BPY engine code & FWD",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },

  audi29: {
    name: "TT MK2 2008-2014",
    subtitle: "For Audi TT with 2.0T CCTA engine code",
    partnumberLeft: "OEM Part Number : 06F145701H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi30: {
    name: "TT MK3 2016-2023",
    subtitle: "For Audi TT 2016-2023 All Models",
    partnumberLeft: "OEM Part Number : 06K145874M",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi31: {
    name: "TT with CCTA Engine Code ",
    subtitle: "For Audi TT with 2.0T CCTA engine code",
    partnumberLeft: "OEM Part Number :  06J145713K",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi32: {
    name: "TT 2016-2018 TTS 2.0T",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06K145722H",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TT",
    rating: 5,
    isNew: false,
  },
  audi33: {
    name: "TTS 2009-2015",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06F145702C",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
    isNew: false,
  },
  audi34: {
    name: "TTS 2019-2023",
    subtitle: "",
    partnumberLeft: "OEM Part Number : 06K145722N",
    partnumberRight: "",
    usdLeftPrice: "$650.00 USD",
    cadLeftPrice: "$850.00 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850.00 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1000.00 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "AUDI",
    subCategory: "AUDI TTS",
    rating: 5,
    isNew: false,
  },
};

// Function to render product details
function renderProductDetails(productDiv, modelData) {
  const modelNameElement = productDiv.querySelector(".model-name");
  const modelLeftPriceElement = productDiv.querySelector(".model-left-price");
  const modelRightPriceElement = productDiv.querySelector(".model-right-price");
  const partNumberLeftElement = productDiv.querySelector(".part-number-left");
  const partNumberRightElement = productDiv.querySelector(".part-number-right");

  // Update product name and initial prices
  if (modelNameElement) modelNameElement.textContent = modelData.name;

  // Update prices dynamically based on selected currency
  const selectedCurrency = document.getElementById("currencySelect").value;
  if (selectedCurrency === "USD") {
    if (modelLeftPriceElement)
      modelLeftPriceElement.textContent = modelData.usdLeftPrice;
    if (modelRightPriceElement)
      modelRightPriceElement.textContent = modelData.usdRightPrice;
  } else if (selectedCurrency === "CAD") {
    if (modelLeftPriceElement)
      modelLeftPriceElement.textContent = modelData.cadLeftPrice;
    if (modelRightPriceElement)
      modelRightPriceElement.textContent = modelData.cadRightPrice;
  }

  // Update part numbers
  if (partNumberLeftElement)
    partNumberLeftElement.textContent = modelData.partnumberLeft;
  if (partNumberRightElement)
    partNumberRightElement.textContent = modelData.partnumberRight;
}

// Function to render all products
function renderAllProducts() {
  const productContainer = document.getElementById("product-container");

  if (!productContainer) {
    console.error("Error: Product container not found.");
    return;
  }

  // Loop through modelDetails and render products
  Object.keys(modelDetails).forEach((modelKey, index) => {
    const model = modelDetails[modelKey];
    const productDiv = document.createElement("div");

    productDiv.classList.add("col-lg-4", "col-md-6", "col-sm-6", "orangeboxs");
    productDiv.id = `div${index + 1}`;

    // Product inner HTML
    const badgeContent = model.isNew
      ? '<li><span class="badge badge-primary">REPEATED "NAME" PRODUCT</span></li>'
      : '<li><span class="badge badge-danger">SALE</span></li>';

    productDiv.innerHTML = `
      <div class="product_item">
        <ul class="badge_group unordered_list">
          ${badgeContent}
        </ul>
        <a class="item_image">
          <img src="assets/images/about/turbochargerimg.png" alt="turbo shop - Product Image"/>
        </a>
        <div class="item_content">
          <a href="" class="whitecol">${model.mainCategory}</a>
          <h3 class="item_title">
            <a id="model-name">${model.name}</a>
          </h3>
          <h6><a class="orangecol">${model.subtitle}</a>
                        </h6>
          <div class="item_footer">
            <div class="item_price">
              <p class="model-left-price sale_price">${model.usdLeftPrice}</p>
              <p class="model-right-price sale_price">${model.usdRightPrice}</p>
            </div>
            <a class="btn-link add-to-cart">
              <span class="btn_icon"><i class="fa-regular fa-angle-right"></i></span>
              <span class="btn_text">
                <small>Add To Cart</small>
                <small>Add To Cart</small>
              </span>
            </a>
          </div>
          <p class="part-number-left">${model.partnumberLeft}</p>
          <p class="part-number-right">${model.partnumberRight}</p>
        </div>
      </div>
    `;

    // Attach event listener for "Add to Cart"
    const addToCartButton = productDiv.querySelector(".add-to-cart");
    addToCartButton.addEventListener("click", (event) => {
      event.preventDefault();
      event.stopPropagation();
      addToCart(model);
    });

    // Add event listener for clicking the entire product div (except Add to Cart button)
    // Add event listener for clicking the entire product div (except Add to Cart button)
    productDiv.addEventListener("click", (event) => {
      if (!event.target.closest(".add-to-cart")) {
        const modelId = model.id || modelKey; // Use model.id or modelKey as fallback
        window.location.href = `audi-dynamic-page.html?product=${modelId}`;
      }
    });

    // Append to product container
    productContainer.appendChild(productDiv);
  });
}

// Function to update prices based on selected currency
function updatePricesBasedOnCurrency() {
  const selectedCurrency = document.getElementById("currencySelect").value;

  // Update prices for all products
  document.querySelectorAll(".orangeboxs").forEach((productDiv) => {
    const productId = productDiv.id.replace("div", "audi");
    const modelData = modelDetails[productId];

    if (modelData) {
      const modelLeftPriceElement =
        productDiv.querySelector(".model-left-price");
      const modelRightPriceElement =
        productDiv.querySelector(".model-right-price");

      // Update prices based on currency
      if (selectedCurrency === "USD") {
        if (modelLeftPriceElement)
          modelLeftPriceElement.textContent = modelData.usdLeftPrice;
        if (modelRightPriceElement)
          modelRightPriceElement.textContent = modelData.usdRightPrice;
      } else if (selectedCurrency === "CAD") {
        if (modelLeftPriceElement)
          modelLeftPriceElement.textContent = modelData.cadLeftPrice;
        if (modelRightPriceElement)
          modelRightPriceElement.textContent = modelData.cadRightPrice;
      }
    }
  });
}

// Event listeners
document
  .getElementById("currencySelect")
  .addEventListener("change", updatePricesBasedOnCurrency);
document.addEventListener("DOMContentLoaded", renderAllProducts);
